Bug 1127651 - EAP 6.3.0: Cannot add async log handler to a log category in admin console
Summary: EAP 6.3.0: Cannot add async log handler to a log category in admin console
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: DR11
: EAP 6.4.0
Assignee: Harald Pehl
QA Contact: Pavel Jelinek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 09:58 UTC by Stephan Vollmer
Modified: 2017-10-10 00:23 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-487 Major Resolved Cannot add async log handler to a log category in admin console 2016-04-26 12:14:29 UTC

Description Stephan Vollmer 2014-08-07 09:58:03 UTC
Description of problem:

In the admin console, it is not possible to add an async log handler to a log category. The drop-down to select the log handler does not contain async handlers.

Version-Release number of selected component (if applicable):

* EAP 6.3.0
* admin console 2.2.8.Final-redhat-1


How reproducible: Always


Steps to Reproduce:

1. Create an async log handler if none exists yet.
2. Open admin console in a browser
3. Go to: Configuration --> Subsystem --> Core --> Logging --> Log Categories
4. Select a log category
5. Go to "Details" section --> Handlers --> Add
6. The "Add Name" popup is displayed


Actual results:

In the "Name" drop down list, async log handlers are not listed and therefore cannot be selected.


Expected results:

The "Name" drop down list should also contain async log handlers.


Additional info:

It works in EAP 6.2.4.

Comment 1 JBoss JIRA Server 2014-09-12 11:10:43 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-487 to Coding In Progress

Comment 2 JBoss JIRA Server 2014-09-12 11:14:16 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-487 to Open

Comment 3 JBoss JIRA Server 2014-09-12 11:14:19 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-487 to Coding In Progress

Comment 4 JBoss JIRA Server 2014-09-12 11:50:56 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-487 to Resolved

Comment 5 Harald Pehl 2014-09-23 13:09:27 UTC
Fixed by HAL 2.4.0.Final BZ1144083. Setting to MODIFIED.

Comment 6 Pavel Jelinek 2014-11-26 14:12:40 UTC
Verified for HAL 2.4.8.Final-redhat-1 in EAP 6.4.0.DR11.


Note You need to log in before you can comment on or make changes to this bug.